<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hslf.usermodel.HSLFPictureData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hslf.usermodel.HSLFPictureData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFPictureData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFPictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hslf.usermodel.HSLFPictureData" class="title">Uses of Class<br>org.apache.poi.hslf.usermodel.HSLFPictureData
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.blip">org.apache.poi.hslf.blip</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.model">org.apache.poi.hslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.blip">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a> in <a
                            href="../../../../../../org/apache/poi/hslf/blip/package-summary.html">org.apache.poi.hslf.blip</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a> in <a
                                href="../../../../../../org/apache/poi/hslf/blip/package-summary.html">org.apache.poi.hslf.blip</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                                    title="class in org.apache.poi.hslf.blip">Bitmap</a></span></code>
                                <div class="block">Represents a bitmap picture data: JPEG or PNG.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/DIB.html"
                                    title="class in org.apache.poi.hslf.blip">DIB</a></span></code>
                                <div class="block">Represents a DIB picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/EMF.html"
                                    title="class in org.apache.poi.hslf.blip">EMF</a></span></code>
                                <div class="block">Represents EMF (Windows Enhanced Metafile) picture data.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/JPEG.html"
                                    title="class in org.apache.poi.hslf.blip">JPEG</a></span></code>
                                <div class="block">Represents a JPEG picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/Metafile.html"
                                    title="class in org.apache.poi.hslf.blip">Metafile</a></span></code>
                                <div class="block">Represents a metafile picture which can be one of the following
                                    types: EMF, WMF, or PICT.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/PICT.html"
                                    title="class in org.apache.poi.hslf.blip">PICT</a></span></code>
                                <div class="block">Represents Macintosh PICT picture data.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/PNG.html"
                                    title="class in org.apache.poi.hslf.blip">PNG</a></span></code>
                                <div class="block">Represents a PNG picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/WMF.html"
                                    title="class in org.apache.poi.hslf.blip">WMF</a></span></code>
                                <div class="block">Represents a WMF (Windows Metafile) picture data.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a> in <a
                            href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hslf/model/package-summary.html">org.apache.poi.hslf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/ActiveXShape.html#ActiveXShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-">ActiveXShape</a></span>(int&nbsp;movieIdx,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-">MovieShape</a></span>(int&nbsp;movieIdx,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(int&nbsp;movieIdx,
                                <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                   title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#addPicture-byte:A-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(byte[]&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#addPicture-java.io.File-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.File&nbsp;pict,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                <div class="block">Adds a picture to the presentation.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#addPicture-java.io.InputStream-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.InputStream&nbsp;is,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                <div class="block">Adds a picture to the presentation.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFPictureData.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html#create-org.apache.poi.sl.usermodel.PictureData.PictureType-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                    title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;type)</code>
                                <div class="block">Create an instance of <code>PictureData</code> by type.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#findPictureData-byte:A-">findPictureData</a></span>(byte[]&nbsp;pictureData)</code>
                                <div class="block">check if a picture with this picture data already exists in this
                                    presentation
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFFill.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html#getPictureData--">getPictureData</a></span>()</code>
                                <div class="block"><code>PictureData</code> object used in a texture, pattern of picture
                                    fill.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFPictureShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getPictureData--">getPictureData</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShowImpl.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#getPictureData--">getPictureData</a></span>()</code>
                                <div class="block">Return list of pictures contained in this presentation</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#getPictureData--">getPictureData</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlideShowImpl.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShowImpl.html#addPicture-org.apache.poi.hslf.usermodel.HSLFPictureData-">addPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;img)</code>
                                <div class="block">Add a new picture to this presentation.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFFill.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html#setPictureData-org.apache.poi.hslf.usermodel.HSLFPictureData-">setPictureData</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data)</code>
                                <div class="block">Assign picture used to fill the underlying shape.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.hslf.usermodel.HSLFPictureData-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data)</code>
                                <div class="block">Create a new <code>OLEShape</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html#HSLFObjectShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFObjectShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>OLEShape</code></div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.hslf.usermodel.HSLFPictureData-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#HSLFPictureShape-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFPictureShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;data,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                   title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                        href="../../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                <div class="block">Create a new <code>Picture</code></div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
               title="class in org.apache.poi.hslf.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hslf/usermodel/class-use/HSLFPictureData.html"
               target="_top">Frames</a></li>
        <li><a href="HSLFPictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
